///home/berryj/link/bin/genMethods "-g" "-t" "Vertex*" "-h" "Sequence" "-r" "Collection<Vertex*>" "-I" "LINK/basic/Sequence.h" "-I" "LINK/graph/Vertex.h" "-d" "graph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Sequence.h>

#include <LINK/graph/Vertex.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Vertex* _Vertex_;
typedef Sequence<Vertex* > _Sequence_Vertex__;
static Sequence<Vertex* > s__Sequence_Vertex__;

#define _Sequence_Vertex__DATA(x) ((Sequence<Vertex* >*) (EXTDATA(x)))
#define _Sequence_Vertex__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<Vertex* > >::type))
#define _Sequence_Vertex__ISNT_DATA(x) (!_Sequence_Vertex__IS_DATA(x))

#define _Sequence_Vertex__CXX_DATA(x) (*(Sequence<Vertex* >*) (EXTDATA(VAL(x))))
#define _Sequence_Vertex__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<Vertex* > >::type))
#define _Sequence_Vertex__CXX_ISNT_DATA(x) (!_Sequence_Vertex__CXX_IS_DATA(x))


PRIMITIVE STk_init__Sequence_Vertex__()
{
	Wrapper<_Sequence_Vertex__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Sequence_Vertex__>::name, 
			Wrapper<Collection<Vertex*> >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Vertex_>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Vertex_>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Vertex_>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Sequence_Vertex__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Sequence_Vertex__Methods(void);

PRIMITIVE STk_init_methods__Sequence_Vertex__()
{
	genExtra_Sequence_Vertex__Methods();
	return UNDEFINED;
}
